OTFSHRINK(1)

NAME
otfshrink - Create a new OTF trace that only includes specified processes

DESCRIPTION

    otfshrink - Create a new OTF trace that only includes

    specified processes.

    Syntax: otfshrink [options] -i <file>

    options:

-h, --help
    show this help message

-V  show OTF version

-i <file>
    input file name

-o <name>
    namestub of the output file (default: out)

-l "<list>"
    a list of processes in quotes to enable, i.e. keep in the copy, e.g. '-l "1,2 4-8 3",10 12-20'

-v  invert setting from '-l', i.e. deactivate/exclude listed processes

-m "<list>"
    map all listed processes to one representative and remove all remaining ones first process in list is the representative, must not be mixed with '-l' and '-v'

-f <file>
    read multiple '-m' lists from the given file one list/group per line, empty lines allowed

-s <mode>
    simulation mode: display all selected processes, no files are created, (display modes: (l)ist, (r)ange, or (t)able,

    defaut: range)

-p <file>
    displays all processes with name and id input file without ".otf"

    Multiple instances of '-l', '-m', and '-f' may be used.